## GstTensorMeta

### Members

`meta` (GstMeta) –

parent

`num_tensors` (gsize) –

number of tensors

`tensors` (GstTensor **) –
No description available

Since : 1.26

## GstAnalytics.TensorMeta

### Members

`meta` (Gst.Meta) –

parent

`num_tensors` (Number) –

number of tensors

`tensors` (GstAnalytics.Tensor) –
No description available

Since : 1.26

## GstAnalytics.TensorMeta

### Members

`meta` (Gst.Meta) –

parent

`num_tensors` (int) –

number of tensors

`tensors` (GstAnalytics.Tensor) –
No description available

Since : 1.26

### Methods

#### gst_tensor_meta_get

    const GstTensor *
    gst_tensor_meta_get (GstTensorMeta * tmeta,
                         gsize index)

Retrieves a tensor from the GstTensorMeta, the index must be smaller than num_tensors

Return: (transfer none): a GstTensor

Parameters:

`tmeta` –

A GstTensorMeta

`index` –

The number of the tensor to get

Returns –
No description available

Since : 1.26

#### GstAnalytics.TensorMeta.prototype.get

    function GstAnalytics.TensorMeta.prototype.get(index: Number): {
        // javascript wrapper for 'gst_tensor_meta_get'
    }

Retrieves a tensor from the GstAnalytics.TensorMeta, the index must be smaller than num_tensors

Return: (transfer none): a GstTensor

Parameters:

`tmeta` (GstAnalytics.TensorMeta) –

A GstAnalytics.TensorMeta

`index` (Number) –

The number of the tensor to get

Returns (GstAnalytics.Tensor) –
No description available

Since : 1.26

#### GstAnalytics.TensorMeta.get

    def GstAnalytics.TensorMeta.get (self, index):
        #python wrapper for 'gst_tensor_meta_get'

Retrieves a tensor from the GstAnalytics.TensorMeta, the index must be smaller than num_tensors

Return: (transfer none): a GstTensor

Parameters:

`tmeta` (GstAnalytics.TensorMeta) –

A GstAnalytics.TensorMeta

`index` (int) –

The number of the tensor to get

Returns (GstAnalytics.Tensor) –
No description available

Since : 1.26

#### gst_tensor_meta_get_index_from_id

    gint
    gst_tensor_meta_get_index_from_id (GstTensorMeta * meta,
                                       GQuark id)

Finds the first tensor with the requsted ID in the meta

Return: The index of the tensor inthe meta, or -1 if its not found.

Parameters:

`meta` –

a GstTensorMeta

`id` –

The tensor id to look for

Returns –
No description available

Since : 1.26

#### GstAnalytics.TensorMeta.prototype.get_index_from_id

    function GstAnalytics.TensorMeta.prototype.get_index_from_id(id: GLib.Quark): {
        // javascript wrapper for 'gst_tensor_meta_get_index_from_id'
    }

Finds the first tensor with the requsted ID in the meta

Return: The index of the tensor inthe meta, or -1 if its not found.

Parameters:

`meta` (GstAnalytics.TensorMeta) –

a GstAnalytics.TensorMeta

`id` (GLib.Quark) –

The tensor id to look for

Returns (Number) –
No description available

Since : 1.26

#### GstAnalytics.TensorMeta.get_index_from_id

    def GstAnalytics.TensorMeta.get_index_from_id (self, id):
        #python wrapper for 'gst_tensor_meta_get_index_from_id'

Finds the first tensor with the requsted ID in the meta

Return: The index of the tensor inthe meta, or -1 if its not found.

Parameters:

`meta` (GstAnalytics.TensorMeta) –

a GstAnalytics.TensorMeta

`id` (GLib.Quark) –

The tensor id to look for

Returns (int) –
No description available

Since : 1.26

#### gst_tensor_meta_set

    gst_tensor_meta_set (GstTensorMeta * tmeta,
                         guint num_tensors,
                         GstTensor ** tensors)

Sets tensors into the GstTensorMeta

Parameters:

`tmeta` –

a GstTensorMeta

`num_tensors` –

The number of tensors in the tensors array

`tensors` ( [in][array length=num_tensors][transfer: full]) –

An array of poiners to GstTensor

Since : 1.26

#### GstAnalytics.TensorMeta.prototype.set

    function GstAnalytics.TensorMeta.prototype.set(num_tensors: Number, tensors: [ GstAnalytics.Tensor ]): {
        // javascript wrapper for 'gst_tensor_meta_set'
    }

Sets tensors into the GstAnalytics.TensorMeta

Parameters:

`tmeta` (GstAnalytics.TensorMeta) –

a GstAnalytics.TensorMeta

`num_tensors` (Number) –

The number of tensors in the tensors array

`tensors` ([ GstAnalytics.Tensor ]) –

An array of poiners to GstAnalytics.Tensor

Since : 1.26

#### GstAnalytics.TensorMeta.set

    def GstAnalytics.TensorMeta.set (self, num_tensors, tensors):
        #python wrapper for 'gst_tensor_meta_set'

Sets tensors into the GstAnalytics.TensorMeta

Parameters:

`tmeta` (GstAnalytics.TensorMeta) –

a GstAnalytics.TensorMeta

`num_tensors` (int) –

The number of tensors in the tensors array

`tensors` ([ GstAnalytics.Tensor ]) –

An array of poiners to GstAnalytics.Tensor

Since : 1.26

### Functions

#### gst_tensor_meta_get_info

    const GstMetaInfo *
    gst_tensor_meta_get_info ()

Returns –
No description available

Since : 1.26

## Functions

### gst_buffer_add_tensor_meta

    GstTensorMeta *
    gst_buffer_add_tensor_meta (GstBuffer * buffer)

Adds a GstTensorMeta to a buffer or returns the existing one

Parameters:

`buffer` –

A writable GstBuffer

Returns ( [transfer: none]) –

The new GstTensorMeta

Since : 1.26

### GstAnalytics.prototype.buffer_add_tensor_meta

    function GstAnalytics.prototype.buffer_add_tensor_meta(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_buffer_add_tensor_meta'
    }

Adds a GstAnalytics.TensorMeta to a buffer or returns the existing one

Parameters:

`buffer` (Gst.Buffer) –

A writable Gst.Buffer

Returns (GstAnalytics.TensorMeta) –

The new GstAnalytics.TensorMeta

Since : 1.26

### GstAnalytics.buffer_add_tensor_meta

    def GstAnalytics.buffer_add_tensor_meta (buffer):
        #python wrapper for 'gst_buffer_add_tensor_meta'

Adds a GstAnalytics.TensorMeta to a buffer or returns the existing one

Parameters:

`buffer` (Gst.Buffer) –

A writable Gst.Buffer

Returns (GstAnalytics.TensorMeta) –

The new GstAnalytics.TensorMeta

Since : 1.26

### gst_buffer_get_tensor_meta

    GstTensorMeta *
    gst_buffer_get_tensor_meta (GstBuffer * buffer)

Gets the GstTensorMeta from a buffer

Parameters:

`buffer` –

A GstBuffer

Returns ( [nullable][transfer: none]) –

The GstTensorMeta if there is wone

Since : 1.26

### GstAnalytics.prototype.buffer_get_tensor_meta

    function GstAnalytics.prototype.buffer_get_tensor_meta(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_buffer_get_tensor_meta'
    }

Gets the GstAnalytics.TensorMeta from a buffer

Parameters:

`buffer` (Gst.Buffer) –

A Gst.Buffer

Returns (GstAnalytics.TensorMeta) –

The GstAnalytics.TensorMeta if there is wone

Since : 1.26

### GstAnalytics.buffer_get_tensor_meta

    def GstAnalytics.buffer_get_tensor_meta (buffer):
        #python wrapper for 'gst_buffer_get_tensor_meta'

Gets the GstAnalytics.TensorMeta from a buffer

Parameters:

`buffer` (Gst.Buffer) –

A Gst.Buffer

Returns (GstAnalytics.TensorMeta) –

The GstAnalytics.TensorMeta if there is wone

Since : 1.26

### gst_tensor_meta_api_get_type

    GType
    gst_tensor_meta_api_get_type ()

Returns –
No description available

Since : 1.26

## Constants

### GST_TENSOR_META_API_TYPE

    #define GST_TENSOR_META_API_TYPE \
      (gst_tensor_meta_api_get_type())

The Tensor Meta API type

Since : 1.26

### GST_TENSOR_META_INFO

    #define GST_TENSOR_META_INFO \
      (gst_tensor_meta_get_info())

The Tensor Meta API Info

Since : 1.26

The results of the search are